#ifndef SS_Soubory_h
#define SS_Soubory_h
#include <BK/Soubory.h>
#include <BK/String.h>
////////////////////////////////////////////////////////////////////////////////
//                           S   A   V   E                                    //
////////////////////////////////////////////////////////////////////////////////
void SSSoubor ( bool prepis ) // impl. true
{ 
  PRO pripony;     pripony.push_back(".txt");
  string SFN; int FilterIndex;
  if( !GetSFN( SFN, pripony, FilterIndex ) ) return;

  fstream out;
  if(prepis) out.open( SFN.c_str() ,ios_base::out);
  else out.open( SFN.c_str() ,ios_base::out|ios_base::app);

  for(map<string,Bod>::iterator i=ss.begin(); i!=ss.end(); i++)
  { string CB=i->first;     Bod b=i->second;
    
    char hvezdicka;  // pro oddlen poznmky
    if(b.poznamka.size()==0) hvezdicka=' ';
    else hvezdicka='*';

    sprintf(gChar,"% 25s % 15s % 15s % 10s %c%s",
      Width(CB,25).c_str(),
      WidthNum(b.y,15).c_str(),
      WidthNum(b.x,15).c_str(),
      WidthNum(b.z,10).c_str(),
      hvezdicka,
      b.poznamka.c_str() );
    out << gChar << endl;
  }
}
////////////////////////////////////////////////////////////////////////////////
//                           O   P   E   N                                    //
////////////////////////////////////////////////////////////////////////////////
void SouborSS ()
{ string OFN;     if( !GetOFN( OFN ) ) return;

  chyby.clear();
  ifstream vstup( OFN.c_str() );
  
  string radek; int crad=0;
  while( getline(vstup,radek) )
  { crad++;
    string a,b,c,CB,poznamka;     double y,x,z;

    StrTake (radek,";","",End);
    poznamka = StrTake (radek,"*","",End); StrTake (poznamka,"*");

    stringstream ssradek(radek);
    ssradek >> CB; ssradek >> a; ssradek >> b; ssradek >> c;
    if(CB.size()==0) continue;
  try{
    CB = Cb(CB);
    if(DuplCB (CB)) throw Chyba ("Duplicitn slo bodu!");
    if(a.size()==0) throw Chyba ("Bod mus mt nejmn jednu souadnici!");
    if(b.size()==0) { z=Double(a); ss[CB].z=z; continue; }
    if(c.size()==0) { y=Double(a); ss[CB].y=y;
                      x=Double(b); ss[CB].x=x; }
    else { y=Double(a); ss[CB].y=y;
           x=Double(b); ss[CB].x=x;
           z=Double(c); ss[CB].z=z; } 
    ss[CB].poznamka=poznamka;
    }
  catch (Chyba ch) { string x="dek .: "+Cb(crad,4);
    ch.titulek="     "+radek; chyby[x]=ch; }
  }
  SSDlg ();
  if( chyby.size()!=0 )
    DialogBox (ghInst, MAKEINTRESOURCE (IDD_CHDIALOG), ghMainDlg, ChDlgProc );
}

#endif
